using System;
using System.Reflection;

internal sealed class Delegate788 : MulticastDelegate
{
	public extern Delegate Invoke(Type type_0, MethodInfo methodInfo_0);

	public static Delegate smethod_0(Type type_0, MethodInfo methodInfo_0, Delegate788 delegate788_1)
	{
		return delegate788_1(type_0, methodInfo_0);
	}

	public extern Delegate788(object object_0, IntPtr intptr_0);

	static Delegate788()
	{
		Class10.smethod_13(typeof(Delegate788).TypeHandle);
	}

	internal static Delegate788 delegate788_0;
}
